#### D.3.1.20 permcol

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  permcol(A,c1,c2); A matrix, c1,c2 positive integers

Return:
  matrix, A being modified by permuting columns c1 and c2

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,x,3,4,y,6,7,z,9;
    print(A);
    ==> 1,x,3,
    ==> 4,y,6,
    ==> 7,z,9
    print(permcol(A,2,3));
    ==> 1,3,x,
    ==> 4,6,y,
    ==> 7,9,z

User manual for Singular version 4.4.1, 2025, generated by texi2html.